#include ".\pattern.h"

CPattern::CPattern(CString strName, CString strSearchMask, CString strReplaceMask, bool bDefault)
{
	SetName(strName);
	SetSearchMask(strSearchMask);
	SetReplaceMask(strReplaceMask);
	SetDefaultFlag(bDefault);
}

CPattern::~CPattern(void)
{
}

CPattern::CPattern(const CPattern &value)
{
	this->operator =(value);
}

CPattern& CPattern::operator =(const CPattern &value)
{
	m_strName=value.m_strName;
	m_strSearch=value.m_strSearch;
	m_strReplace=value.m_strReplace;
	m_bDefault=value.m_bDefault;
	return *this;
}

bool CPattern::operator ==(const CPattern &value) const
{
	return m_strName==value.m_strName && m_strSearch==value.m_strSearch && m_strReplace==value.m_strReplace && m_bDefault==value.m_bDefault;
}
