#pragma once
#include "stdafx.h"

class CPattern
{
protected:
	CString m_strSearch;
	CString m_strReplace;
	CString m_strName;
	bool m_bDefault;

public:
	CPattern(CString strName="", CString strSearchMask="", CString strReplaceMask="", bool bDefault=false);
	CPattern(const CPattern &value);
	~CPattern(void);

	CPattern& operator =(const CPattern &value);
	bool operator ==(const CPattern &value) const;

	inline void SetSearchMask(CString strMask)	{m_strSearch=strMask;};
	inline CString GetSearchMask(void)			{return m_strSearch;};

	inline void SetReplaceMask(CString strMask)	{m_strReplace=strMask;};
	inline CString GetReplaceMask(void)			{return m_strReplace;};

	inline void SetName(CString strName)		{m_strName=strName;};
	inline CString GetName(void)				{return m_strName;};

	inline void SetDefaultFlag(bool bDefault)	{m_bDefault=bDefault;};
	inline bool GetDefaultFlag(void)			{return m_bDefault;};
};
